Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bbn.openmap.event
Class ProjectionSupport.ProjectionChangeNotifier

    java.lang.Object
      java.lang.Thread
          com.bbn.openmap.event.ProjectionSupport.ProjectionChangeNotifier

All Implemented Interfaces:
  java.lang.Runnable

Enclosing class:
  ProjectionSupport

protected class ProjectionSupport.ProjectionChangeNotifier
extends java.lang.Thread

A thread that disperses the projection event, instead of letting the Swing thread do it. A new one is created for every projection change, so the current ProjectionEvent object is getting delivered with it.

Field Summary
`protected ProjectionEvent` | `nextEvent`
`protected ProjectionEvent` | `projEvent`
`protected boolean` | `terminated`

Fields inherited from class java.lang.Thread
`MAX_PRIORITY, MIN_PRIORITY, NORM_PRIORITY`

Constructor Summary
`ProjectionSupport.ProjectionChangeNotifier()`

Method Summary
`void` | `fireProjectionEvent(ProjectionEvent event)`
`protected boolean` | `isEventInProgress()`
`void` | `run()`

Methods inherited from class java.lang.Thread
`activeCount, checkAccess, countStackFrames, currentThread, destroy, dumpStack, enumerate, getContextClassLoader, getName, getPriority, getThreadGroup, holdsLock, interrupt, interrupted, isAlive, isDaemon, isInterrupted, join, join, join, resume, setContextClassLoader, setDaemon, setName, setPriority, sleep, sleep, start, stop, stop, suspend, toString, yield`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### projEvent

    protected ProjectionEvent projEvent

### nextEvent

    protected ProjectionEvent nextEvent

### terminated

    protected boolean terminated

Constructor Detail

### ProjectionSupport.ProjectionChangeNotifier

    public ProjectionSupport.ProjectionChangeNotifier()

Method Detail

### isEventInProgress

    protected boolean isEventInProgress()

### fireProjectionEvent

    public void fireProjectionEvent(ProjectionEvent event)

### run

    public void run()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (C) BBNT Solutions LLC; See http://openmap.bbn.com/ for details